package lvm2 2.02.98-6ubuntu2 failed to install/upgrade: missing dependency File/Find.pm

Bug #1565123 reported by Åke Svedin on 2016-04-01
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
lvm2 (Ubuntu)
High
Unassigned

Bug Description

Did do-release-upgrade -d from ubuntu 14.04.

From screenlog.0:

Preparing to unpack .../lvm2_2.02.133-1ubuntu8_i386.deb ...
Can't locate File/Find.pm in @INC (you may need to install the File::Find module) (@INC contains: /etc/perl /usr/local/lib/i386-linux-gnu/perl/5.22.1 /usr/local/share/per
l/5.22.1 /usr/lib/i386-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/i386-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/i386-linux-gnu/perl-
base .) at /usr/bin/deb-systemd-helper line 88.
BEGIN failed--compilation aborted at /usr/bin/deb-systemd-helper line 88.
dpkg: error processing archive /var/cache/apt/archives/lvm2_2.02.133-1ubuntu8_i386.deb (--unpack):
 subprocess new pre-installation script returned error exit status 2
dpkg: considering deconfiguration of lvm2, which would be broken by installation of initramfs-tools ...
dpkg: yes, will deconfigure lvm2 (broken by initramfs-tools)
Preparing to unpack .../initramfs-tools_0.122ubuntu6_all.deb ...
De-configuring lvm2 (2.02.98-6ubuntu2) ...
Unpacking initramfs-tools (0.122ubuntu6) over (0.103ubuntu4.3) ...
dpkg: warning: unable to delete old directory '/var/lib/initramfs-tools': Directory not empty
dpkg: warning: unable to delete old directory '/etc/initramfs-tools/conf.d': Directory not empty
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/lvm2.0.crash'

Ran "aptitude install perl-modules-5.22" afterwards for the dependency and it also allowed me to continue to bother with the other unrelated errors :)

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: lvm2 2.02.98-6ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-83.127-generic 3.13.11-ckt35
Uname: Linux 3.13.0-83-generic i686
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: i386
Date: Fri Apr 1 23:40:14 2016
DuplicateSignature: package:lvm2:2.02.98-6ubuntu2:subprocess new pre-installation script returned error exit status 2
ErrorMessage: subprocess new pre-installation script returned error exit status 2
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1
 apt 1.0.1ubuntu2.11
SourcePackage: lvm2
Title: package lvm2 2.02.98-6ubuntu2 failed to install/upgrade: subprocess new pre-installation script returned error exit status 2
UpgradeStatus: Upgraded to xenial on 2016-04-01 (0 days ago)

Åke Svedin (belse) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lvm2 (Ubuntu):
status: New → Confirmed
Changed in lvm2 (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers